## ros-one-pr2-computer-monitor 1.6.32-21jammy.20251023.0034

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)
if(POLICY CMP0048)
  cmake_policy(SET CMP0048 NEW)
endif()
project(pr2_computer_monitor)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS roscpp std_msgs)

if(CATKIN_ENABLE_TESTING)
  #catkin_add_nosetests(test/parse_test.py)
endif()

include_directories(include ${catkin_INCLUDE_DIRS})

catkin_package(
    DEPENDS roscpp std_msgs
    CATKIN_DEPENDS # TODO
    INCLUDE_DIRS # TODO include
    LIBRARIES network_detector# TODO
)


install(DIRECTORY demo
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

file(GLOB PYTHON_SCRIPTS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" 
   "${CMAKE_CURRENT_SOURCE_DIR}/scripts/*")
install(PROGRAMS ${PYTHON_SCRIPTS}
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

add_executable(network_detector src/network_detector.cpp)
target_link_libraries(network_detector ${catkin_LIBRARIES})
add_dependencies(network_detector ${catkin_EXPORTED_TARGETS} ${${PROJECT_NAME}_EXPORTED_TARGETS})

install(TARGETS network_detector
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

catkin_python_setup()

=== debian/changelog ===
ros-one-pr2-computer-monitor (1.6.32-21jammy.20251023.0034) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 23 Oct 2025 00:34:09 +0000

ros-one-pr2-computer-monitor (1.6.32-0jammy) jammy; urgency=high

  * Merge pull request #268 <https://github.com/pr2/pr2_robot/issues/268> from k-okada/fix_for_noetic
  * run 2to3 -w -fexcept .
  * run 2to3 -w -fprint .
  * Contributors: Kei Okada

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 26 May 2021 00:00:00 -0000

ros-one-pr2-computer-monitor (1.6.31-0jammy) jammy; urgency=high

  * add --ignore-self arg in ntp_monitor.py (#259 <https://github.com/pr2/pr2_robot/issues/259>)
  * fixed CMake errors
  * Contributors: David Feil-Seifer, Shingo Kitagawa

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 14 Apr 2020 00:00:00 -0000

ros-one-pr2-computer-monitor (1.6.30-0jammy) jammy; urgency=high

  * removed more tests for jenkins build
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 23 Apr 2018 00:00:00 -0000

ros-one-pr2-computer-monitor (1.6.29-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 00:00:00 -0000

ros-one-pr2-computer-monitor (1.6.28-0jammy) jammy; urgency=high

  * made sure tests only run if CATKIN_ENABLE_TESTING is set
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Apr 2018 00:00:00 -0000

ros-one-pr2-computer-monitor (1.6.27-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 00:00:00 -0000

ros-one-pr2-computer-monitor (1.6.26-0jammy) jammy; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-computer-monitor (1.6.25-0jammy) jammy; urgency=high

  * updated packages for new maintainer
  * updated changelogs
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-computer-monitor (1.6.7-0jammy) jammy; urgency=high

  * Reverted changes
  * Added dependencies in catkin
  * Added catkin_package() to pr2_robot
  * Updated mainpage.dox
  * Fix binary location of network_detector
  * Contributors: Ryohei Ueda, TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 11 Feb 2015 00:00:00 -0000

=== debian/control ===
Source: ros-one-pr2-computer-monitor
Section: misc
Priority: optional
Maintainer: Dave Feil-Seifer <dave@cse.unr.edu>
Build-Depends: debhelper (>= 9.0.0), python3-setuptools, ros-one-catkin, ros-one-diagnostic-msgs, ros-one-pr2-msgs, ros-one-roscpp, ros-one-std-msgs
Homepage: http://www.ros.org/wiki/pr2_computer_monitor
Standards-Version: 3.9.2

Package: ros-one-pr2-computer-monitor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-diagnostic-msgs, ros-one-pr2-msgs, ros-one-roscpp, ros-one-rospy, ros-one-std-msgs
Description: Monitors the computer's processor and hard drives of the PR2 and publishes data to diagnostics.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pr2-computer-monitor//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pr2-computer-monitor 1.6.32-21jammy.20260220.2132

=== debian/changelog ===
ros-one-pr2-computer-monitor (1.6.32-21jammy.20260220.2132) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Feb 2026 21:32:37 +0000

## ros-one-pr2-computer-monitor 1.6.32-21noble.20251023.0032

=== debian/changelog ===
ros-one-pr2-computer-monitor (1.6.32-21noble.20251023.0032) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Thu, 23 Oct 2025 00:32:46 +0000

ros-one-pr2-computer-monitor (1.6.32-0noble) noble; urgency=high

  * Merge pull request #268 <https://github.com/pr2/pr2_robot/issues/268> from k-okada/fix_for_noetic
  * run 2to3 -w -fexcept .
  * run 2to3 -w -fprint .
  * Contributors: Kei Okada

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 26 May 2021 00:00:00 -0000

ros-one-pr2-computer-monitor (1.6.31-0noble) noble; urgency=high

  * add --ignore-self arg in ntp_monitor.py (#259 <https://github.com/pr2/pr2_robot/issues/259>)
  * fixed CMake errors
  * Contributors: David Feil-Seifer, Shingo Kitagawa

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Tue, 14 Apr 2020 00:00:00 -0000

ros-one-pr2-computer-monitor (1.6.30-0noble) noble; urgency=high

  * removed more tests for jenkins build
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 23 Apr 2018 00:00:00 -0000

ros-one-pr2-computer-monitor (1.6.29-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sun, 22 Apr 2018 00:00:00 -0000

ros-one-pr2-computer-monitor (1.6.28-0noble) noble; urgency=high

  * made sure tests only run if CATKIN_ENABLE_TESTING is set
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Sat, 21 Apr 2018 00:00:00 -0000

ros-one-pr2-computer-monitor (1.6.27-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Apr 2018 00:00:00 -0000

ros-one-pr2-computer-monitor (1.6.26-0noble) noble; urgency=high



 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-computer-monitor (1.6.25-0noble) noble; urgency=high

  * updated packages for new maintainer
  * updated changelogs
  * Contributors: David Feil-Seifer

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Mon, 19 Mar 2018 00:00:00 -0000

ros-one-pr2-computer-monitor (1.6.7-0noble) noble; urgency=high

  * Reverted changes
  * Added dependencies in catkin
  * Added catkin_package() to pr2_robot
  * Updated mainpage.dox
  * Fix binary location of network_detector
  * Contributors: Ryohei Ueda, TheDash

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Wed, 11 Feb 2015 00:00:00 -0000

## ros-one-pr2-computer-monitor 1.6.32-21noble.20260220.2138

=== debian/changelog ===
ros-one-pr2-computer-monitor (1.6.32-21noble.20260220.2138) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Feil-Seifer <dave@cse.unr.edu>  Fri, 20 Feb 2026 21:38:48 +0000
